bptbl_s Struct Reference

Back pointer table (forward pass lattice; actually a tree) More...

`#include <ngram_search.h>`

## Data Fields

frame_idx_t | frame
| start or end frame
uint8 | valid
| For absolute pruning.
uint8 | refcnt
| Reference count (number of successors)
int32 | wid
| Word index.
int32 | bp
| Back Pointer.
int32 | score
| Score (best among all right contexts)
int32 | s_idx
| Start of BScoreStack for various right contexts.
int32 | real_wid
| wid of this or latest predecessor real word
int32 | prev_real_wid
| wid of second-last real word
int16 | last_phone
| last phone of this word
int16 | last2_phone
| next-to-last phone of this word

## Detailed Description

Back pointer table (forward pass lattice; actually a tree)

Definition at line 109 of file ngram_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ngram_search.h